Remove a member from an organization

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.usehearsay.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "integrations MCP server": {
    "url": "https://docs.usehearsay.com/mcp"
  }
}

Close
DELETE /organization/{orgId}/user/{userId}

Removes the user from the organization, deletes their invitations and case access in it, and frees one seat on the plan. Requires an org admin or owner and an active plan (403 otherwise).

Path parameters

  • orgId string Required

    Id of the organization

  • userId string Required

    Id of the user to remove

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • data object Required
      Hide data attributes Show data attributes object
      • message string Required
      • isSuccess boolean Required
    • statusCode number Required
    • timestamp string(date-time) Required
DELETE /organization/{orgId}/user/{userId}
curl \
 --request DELETE 'http://api.example.com/organization/{orgId}/user/{userId}' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "data": {
    "message": "Done",
    "isSuccess": true
  },
  "statusCode": 200,
  "timestamp": "2026-01-15T10:15:00.000Z"
}